Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Class Selector.Matcher

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.identity.XPathMatcher
            |
            +--weblogic.apache.xerces.validators.schema.identity.Selector.Matcher

protected class Selector.Matcher
extends XPathMatcher

Selector matcher.

Author:
  Andy Clark, IBM

Field Summary
`protected int` | `fElementDepth` Element depth.
`protected FieldActivator` | `fFieldActivator` Field activator.
`protected int` | `fMatchedDepth` Depth at match.

Fields inherited from class weblogic.apache.xerces.validators.schema.identity.XPathMatcher
`DEBUG_ALL, DEBUG_ANY, DEBUG_MATCH, DEBUG_METHODS, DEBUG_METHODS2, DEBUG_METHODS3, DEBUG_STACK, fIDConstraint, fNamespacesScope, fStringPool`

Constructor Summary
`Selector.Matcher(Selector.XPath xpath, FieldActivator activator)` Constructs a selector matcher.

Method Summary
`void` | `endElement(QName element, int elemIndex, SchemaGrammar grammar)`
`void` | `startDocumentFragment(StringPool stringPool)`
`void` | `startElement(QName element, XMLAttrList attributes, int handle, int elemIndex, SchemaGrammar grammar)` The start of an element.

Methods inherited from class weblogic.apache.xerces.validators.schema.identity.XPathMatcher
`characters, endDocumentFragment, getIDConstraint, getIsSelector, getMatchedString, isMatched, matched, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fFieldActivator

    protected FieldActivator fFieldActivator

  Field activator.

### fElementDepth

    protected int fElementDepth

  Element depth.

### fMatchedDepth

    protected int fMatchedDepth

  Depth at match.

Constructor Detail

### Selector.Matcher

    public Selector.Matcher(Selector.XPath xpath,
                            FieldActivator activator)

  Constructs a selector matcher.

Method Detail

### startDocumentFragment

    public void startDocumentFragment(StringPool stringPool)
                               throws java.lang.Exception

  Overrides:
    startDocumentFragment in class XPathMatcher

### startElement

    public void startElement(QName element,
                             XMLAttrList attributes,
                             int handle,
                             int elemIndex,
                             SchemaGrammar grammar)
                      throws java.lang.Exception

  The start of an element. If the document specifies the start element by using an empty tag, then the startElement method will immediately be followed by the endElement method, with no intervening methods.

  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `handle:` - beginning of the attribute list
    `elemIndex:` - index of the element holding these attributes
    `grammar:` - the SchemaGrammar that all this is being validated by
  Throws:
    org.xml.sax.SAXException - Thrown by handler to signal an error.
  Overrides:
    startElement in class XPathMatcher

### endElement

    public void endElement(QName element,
                           int elemIndex,
                           SchemaGrammar grammar)
                    throws java.lang.Exception

  Overrides:
    endElement in class XPathMatcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference